%define upstream_name    Parse-LocalDistribution
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Parses local .pm files as PAUSE does
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.80.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Parse::PMFile) >= 0.370.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::UseAllModules) >= 0.100.0
BuildArch:  noarch

%description
This is a sister module of the Parse::PMFile manpage. This module parses
local .pm files (and a META file if any) in a specific (current if not
specified) directory, and returns a hash reference that represents
"provides" information (with some extra meta data). This is almost the same
as the Module::Metadata manpage does (which has been in Perl core since
Perl 5.13.9). The main difference is the most of the code of this module is
directly taken from the PAUSE code as of June 2013. If you need better
compatibility to PAUSE, try this. If you need better performance, safety,
or portability in general, the Module::Metadata manpage may be a better and
handier option (the Parse::PMFile manpage (and thus the
Parse::LocalDistribution manpage) actually evaluates code in the $VERSION
line (in a Safe compartment), which may be problematic in some cases).

This module doesn't provide a feature to extract a distribution. If you are
too lazy to implement it, the CPAN::ParseDistribution manpage may be
another good option.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.190.0-4.mga9
+ Revision: 1809982
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-3.mga8
+ Revision: 1505883
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.190.0-2.mga7
+ Revision: 1285507
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.190.0-1.mga7
+ Revision: 1128864
- update to 0.19

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-2.mga6
+ Revision: 1031722
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.180.0-1.mga6
+ Revision: 1007869
- Add missing BR
- imported package perl-Parse-LocalDistribution


* Fri Apr 29 2016 cpan2dist 0.18-1mga
- initial mageia release, generated with cpan2dist
